Jump to content

Recommended Posts

Posted

I am using the attached lisp for run the longitudinal sections.

in this Lisp i want to change the banking and cutting color. and i want to trim the excess horizontal line lines beyound the profile.

 

can u please anybody help me.

 

i am atacheing the lisp file and the data file to run the l-section and also attaching the required format jpg file pls help me.

 

lisp procedure

appload the lisp and command for the lisp is "LSC"

select the ".prn" file(i am attached that file as txt you can remove the .txt in the attachement)

u can enter the datam value is -360

horizontal scale is -0.2 and vertical scale is 2

 

Jakeer

New L-sec_0.622.lsp

3 lsc of 699.prn.txt

required format.jpg

  • 2 years later...
Posted

Its really amazing can any one suggest

  • 11 months later...
Posted

If you have excel file for cutting and filling than upload it. than it is possible to create the lisp as you want. I can help you with read excel data from file and meet your requirements.

  • 1 year later...
Posted

hi jakeerbasha nice job with this lisp. I am trying to find a lisp drawing x sections from files . Look the attach photo and the comments in the code.I attach 2 data files for ground 1 and ground 2

 

;xsection form file data

(defun c:xsection( / fn fp lst l p1 p2 oldOSM )
 (COMMAND "_layer" "_m" "ground1" "_c" "8" "" "")
 (COMMAND "_layer" "_m" "ground2" "_c" "3" "" "")
; if we have a 2d ground line
 (COMMAND "_layer" "_m" "text_ground1" "_c" "8" "" "")
 (COMMAND "_layer" "_m" "text_ground2" "_c" "3" "" "")
 (COMMAND "_layer" "_m" "name of section" "_c" "1" "" "")
 (COMMAND "_layer" "_m" "datum" "_c" "1" "" "")
 (COMMAND "_layer" "_m" "scale" "_c" "1" "" "")
 (COMMAND "_layer" "_m" "Vertical lines" "_c" "140" "" "")
 (COMMAND "_layer" "_m" "Vertical yellow line" "_c" "2" "" "")
(setq ns (getreal  "\n give name of the section : "))
(setq dtm (getreal  "\n give datum elevetion : "))
(setq scl(/ (getreal  "\n give scale  (100,200,500,etc) : ") 100))
(setq ht(* 0.175 scl)) 
(setq fn (getfiled "Select ASCII file for ground 1" "" "txt" 4))
;
; I want to add a command when i whant in second time to add ground 2
;ask me.Do you have another ground line (Y/N)
;When i answer  Yes then load ASCII file for ground 2 
;(setq fe (getfiled "Select ASCII file for ground 2" "" "txt" 4))
;And ask me to pick the inset point for the ground 2 like the photo
;Look the photo to see the insert point of ground 2


 (setq fp (open fn "r") lst '())
 (while (setq l (read-line fp))
   (setq lst (cons l lst))
 )
 (close fp)
 (setq lst (reverse lst))
 (setq oldOSM (getvar "osmode"))
 (setvar "osmode" 0)

 (command "._pline" "")
 (foreach item lst
  (if (/= item "")
   (command item)
   (command "" "._pline")
  )
 )
 (command "")

(setvar "osmode" oldOSM)
(princ)
)

;
;write data to the table .(I need help for this)
;

 

Can you update your code to help me ?

 

Thanks

ground1.txt

ground2.txt

example.jpg

  • 4 months later...
Posted

Given your number of posts sounds like its time you started to have a go at doing the code rather than asking for freebies.

 

The answer to your actual qauestion is easy make the line drawing part a defun. Then you can run it for as many surfaces as you like just offset the text lines down, datum stays where it is.

  • 1 month later...
Posted

its good.but works only with ur file.kindly guide me how to make a pnr file from data sheet containing chainage, ground level and formation level.

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Unfortunately, your content contains terms that we do not allow. Please edit your content to remove the highlighted words below.
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...